KWIN_PROTO_POSITION_FUNC(3)

PROTO_FUNC
kwin_PROTO_position_func - Process a position event on a pixel canvas.

SYNOPSIS
#include <karma_kwin.h>

flag kwin_PROTO_position_func

(KPixCanvas canvas, int x, int y, unsigned int event_code, void *e_info, void **f_info)

DESCRIPTION
Process a position event on a pixel canvas.

canvas
    The pixel canvas on which the event occurred.

x   The horizontal position of the event, relative to the canvas origin

y   The vertical position of the event, relative to the canvas origin.

event_code
    The arbitrary event code.

e_info
    A pointer to arbitrary event information.

f_info
    A pointer to an arbitrary function information pointer.

RETURN VALUE
TRUE if the event was consumed, else FALSE indicating that the event is still to be processed.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/